summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-csharp-5
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-csharp-5')
-rwxr-xr-xgettext-tools/tests/xgettext-csharp-56
1 files changed, 4 insertions, 2 deletions
diff --git a/gettext-tools/tests/xgettext-csharp-5 b/gettext-tools/tests/xgettext-csharp-5
index 007b9e6..42806f1 100755
--- a/gettext-tools/tests/xgettext-csharp-5
+++ b/gettext-tools/tests/xgettext-csharp-5
@@ -23,10 +23,12 @@ Console.WriteLine(GetString("there is not enough" +
+ "verbose string"));
EOF
-tmpfiles="$tmpfiles xg-cs-5.po"
+tmpfiles="$tmpfiles xg-cs-5.tmp.po xg-cs-5.po"
: ${XGETTEXT=xgettext}
${XGETTEXT} --omit-header --no-location --add-comments=TRANSLATORS: \
- -d xg-cs-5 xg-cs-5.cs
+ -d xg-cs-5.tmp xg-cs-5.cs
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+tr -d '\r' < xg-cs-5.tmp.po > xg-cs-5.po
test $? = 0 || { rm -fr $tmpfiles; exit 1; }
tmpfiles="$tmpfiles xg-cs-5.ok"